Skip to main content
GET
/
api
/
v1
/
portfolio
/
native-balance
Get Native Balance
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/portfolio/native-balance \
  --header 'x-api-key: <api-key>'
{
  "balance": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "walletId": "123e4567-e89b-12d3-a456-426614174000",
      "addressId": "123e4567-e89b-12d3-a456-426614174000",
      "network": "tBTC",
      "symbol": "tBTC",
      "amount": "1000000000000000000",
      "decimals": 18,
      "createdAt": "2024-01-01T00:00:00.000Z",
      "updatedAt": "2024-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {
    "totalElements": 100,
    "totalPages": 10,
    "skip": 0,
    "take": 10
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain your API key from the dashboard.

Headers

x-sdk-version
string
default:1.0.0

SDK version header

Query Parameters

network
enum<string>
required

Blockchain network

Available options:
tBTC,
tETH,
AVAX,
FUJI,
SANDBOX
address
string

Blockchain address

walletId
string

Wallet identifier

skip
integer
default:0

Number of records to skip

Required range: x >= 0
take
integer
default:10

Number of records to take

Required range: 1 <= x <= 100

Response

Native balance retrieved successfully

Native balance response object

balance
object[]
pagination
object

Pagination